/*
 * Copyright (c) 2000 Blue Mug, Inc.  All Rights Reserved.
 */

#ifndef _HERMIT_TARGET_FLASH_H_
#define _HERMIT_TARGET_FLASH_H_

#include <target/command.h>

//Device-ID,Manufacturer-ID
#define FLASH_DID_UNKNOWN              (0x00000000)
#define FLASH_DID_AMD_AM29LV160DB      (0x22490001)
#define FLASH_DID_FUJITSU_MBM29LV160BE (0x22490004)
#define FLASH_DID_ST_M29W160EB         (0x22490020)
#define FLASH_DID_ST_M29DW323DB        (0x225f0020)

extern unsigned int flash_id;


extern const command_t flash_erase_command;
extern const command_t flash_program_command;

#if defined(__AJ_STYPE__)
extern const command_t flash_erase_post_command;
#endif

#if defined(__AJ_CTYPE__)
int flash_init(void);
#endif

#endif /* _HERMIT_TARGET_FLASH_H_ */
